cmake - 在配置文件中,双击 error:Error 项目文件可能无效

  显示原文与译文双语对照的内容

我是cmake的新手。 我编写了一个简单的文件,并在 cmake GUI运行它。 但它显示如下

配置文件中的错误。项目文件可能无效。

然后显示

注意:错误:在 C:/home/temp/Tutorial/CMakeLists.txt:1: 解析错误处的代码错误。 需要换行符,带有文本"项目"的标识符。 配置不完整,错误发生 !

我的CmakeList.txt 具有以下功能:


cmake_minimum_required (VERSION 2.6)
project (Tutorial)

add_executable (Tutorial Tutorial.c)

请 帮助 我 。

时间: 原作者:

你正在使用什么操作系统? 文件中是否有错误的换行字符?

在所有 Windows ( 还有 DOS ) 中,新行应该是回车( ASCII 13 ) 和行提要( ASCII 10 ) 。 在旧的mac上,新的行应该只是一个回车( ASCII 13 ) 。 在Linux和 Unix ( 包括 Mac OS X ) 中,新行应该是行提要( ASCII 10 ) 。

原作者:

我认为这就像错误消息读取一样,在指定需要的版本之后,你需要一个换行符。 因此,你的代码应该如下所示:


make_minimum_required (VERSION 2.6) 
project (Tutorial)
add_executable (Tutorial Tutorial.c)

原作者:
...